<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__common_8h" kind="file" language="C++">
    <compoundname>cy_ble_common.h</compoundname>
    <includes local="yes" refid="cy__ble_8h">cy_ble.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__functions_1gac43daf6ecb84fde5390065532c7b7e69" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_Init</definition>
        <argsstring>(const cy_stc_ble_config_t *config)</argsstring>
        <name>Cy_BLE_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__config__t">cy_stc_ble_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes the PSoC 6 BLE Middleware. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The configuration structure for the PSoC 6 BLE Middleware.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates if the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as the input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="71" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="35" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__functions_1ga71930f6a2639719f896326a9bb73f543" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_Enable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_Enable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initializes and enable the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>Calling this function results in generation of a <ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a8934f1150b681fd0edbc395a27a9613d">CY_BLE_EVT_STACK_ON</ref> event on successful initialization of the BLE Stack.</para><para>BLE Stack enables the BLE ECO clock automatically with the default parameters: <verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Parameter &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Value  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;ECO Frequency &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_BLE_DEFAULT_ECO_FREQ &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Divider &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_BLE_DEFAULT_ECO_DIV &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Startup time &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_BLE_DEFAULT_OSC_STARTUP_DELAY_LF &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Load cap &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_BLE_DEFAULT_CAP_TRIM_VALUE &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;If there is a need to start the BLE with non-default ECO parameters, call the Cy_BLE_EcoConfigure() function with the custom configuration each time before calling the </verbatim><ref kindref="member" refid="group__group__ble__common__api__functions_1ga71930f6a2639719f896326a9bb73f543">Cy_BLE_Enable()</ref> function.</para><para>This function initializes the BLE Stack which consists of the BLE Stack Manager, BLE Controller, and BLE Host modules. It takes care of initializing the Profile layer, schedulers, Timer and other platform-related resources required for the PSoC 6 BLE Middleware. It also registers the callback function for BLE events that will be registered in the BLE stack.</para><para>Note that this function does not reset the BLE Stack.</para><para>For the HCI-Mode of operation, this function will not initialize the BLE Host module.</para><para>Calling this function results in generation of a <ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a8934f1150b681fd0edbc395a27a9613d">CY_BLE_EVT_STACK_ON</ref> event on successful initialization of the BLE Stack.</para><para>In the dual CPU mode, this function should be called on both cores in the following sequence:<itemizedlist>
<listitem><para>call this function on CM0+ core to initialize the Controller.</para></listitem><listitem><para>start CM4 core by calling Cy_SysEnableCM4() function.</para></listitem><listitem><para>call this function on CM4 core to initialize the Host and Profiles.</para></listitem></itemizedlist>
</para><para>NOTE: BLE requires a call to Cy_IPC_Sema_Init(), Cy_IPC_Pipe_Config(), Cy_IPC_Pipe_Init() functions before use. These functions are called in the SystemInit() function for proper flash write and erase operations. If the default startup file is not used, or the function SystemInit() is not called in your project, call the following functions:<orderedlist>
<listitem><para>Cy_IPC_Sema_Init()</para></listitem><listitem><para>Cy_IPC_Pipe_Config()</para></listitem><listitem><para>Cy_IPC_Pipe_Init()</para></listitem></orderedlist>
</para><para><simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates if the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_REPEATED_ATTEMPTS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On invoking this function more than once without calling &lt;a href="group__group__ble__common__api__functions.html#group__group__ble__common__api__functions_1gadb3de6a7f54f20646dcea989aad7e0f2"&gt;Cy_BLE_Disable()&lt;/a&gt; function between calls to this function.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;There is insufficient memory available.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="186" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="36" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__functions_1gadb3de6a7f54f20646dcea989aad7e0f2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_Disable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_Disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function stops any ongoing operation in the BLE Stack and forces the BLE Stack to shut down. </para>        </briefdescription>
        <detaileddescription>
<para>Calling this function results in generation of a <ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a19cedb90d0f015c6656b1228cdd67931">CY_BLE_EVT_STACK_SHUTDOWN_COMPLETE</ref> event on a successful stack shutdown.</para><para>For HCI mode: This is a blocking function and no event is generated. Only <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref> will be returned and other error codes are not applicable. UART interface will be stopped and UART data will not be processed by stack until <ref kindref="member" refid="group__group__ble__common__api__functions_1ga71930f6a2639719f896326a9bb73f543">Cy_BLE_Enable()</ref> is invoked.</para><para><simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates if the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On calling Cy_BLE_Disable before calling &lt;a href="group__group__ble__common__api__functions.html#group__group__ble__common__api__functions_1ga71930f6a2639719f896326a9bb73f543"&gt;Cy_BLE_Enable()&lt;/a&gt; or on Controller core.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="244" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="226" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="37" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__functions_1ga11dd55190fcf99efcc2dd0f625014f4b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_EnableLowPowerMode</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_EnableLowPowerMode</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function enables BLE low power mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="272" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="254" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="38" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1ac488f72e6c5ed6a2b5c38db6c0870145" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_ServiceInit</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_ServiceInit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initializes all included services. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="609" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="282" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="41" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a7b3d8c6dffd8fdcc1aeaa525d14e7b92" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_EccHeapInit</definition>
        <argsstring>(uint8_t *heapMem, uint8_t numOfConn)</argsstring>
        <name>Cy_BLE_HAL_EccHeapInit</name>
        <param>
          <type>uint8_t *</type>
          <declname>heapMem</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>numOfConn</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="626" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="617" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="48" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a5af4ff62d8154974d833d48b2c264cf7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_EccHeapDeInit</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_HAL_EccHeapDeInit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="633" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="628" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="49" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1afbd9f9ea52990df841a6da84a4a344bc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_SmpScCmacComplete</definition>
        <argsstring>(uint8_t param)</argsstring>
        <name>Cy_BLE_HAL_SmpScCmacComplete</name>
        <param>
          <type>uint8_t</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="846" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="838" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="50" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a15c537ce7bf8e2c3b40e8fe288e05e53" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_HAL_EccPointMult</definition>
        <argsstring>(uint8_t param)</argsstring>
        <name>Cy_BLE_HAL_EccPointMult</name>
        <param>
          <type>uint8_t</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="870" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="862" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="51" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a6f056cd96d1edfaa74cc7276f7c0f3cd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t Cy_BLE_HAL_EccGetFeatureHeapReq</definition>
        <argsstring>(uint8_t numOfConn)</argsstring>
        <name>Cy_BLE_HAL_EccGetFeatureHeapReq</name>
        <param>
          <type>uint8_t</type>
          <declname>numOfConn</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="645" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="635" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="52" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a0114be2424cbe80df82e9680c2f2412f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_EccGenerateSecurityKeypair</definition>
        <argsstring>(uint8_t p_publicKey[], uint8_t p_privateKey[], uint8_t randomData[])</argsstring>
        <name>Cy_BLE_HAL_EccGenerateSecurityKeypair</name>
        <param>
          <type>uint8_t</type>
          <declname>p_publicKey</declname>
          <array>[]</array>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>p_privateKey</declname>
          <array>[]</array>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>randomData</declname>
          <array>[]</array>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="661" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="647" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a4a2d4b414ef45968cf0666217ddc40d5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_EccGenerateDHKey</definition>
        <argsstring>(const uint8_t p_publicKey[], const uint8_t p_privateKey[], uint8_t p_secret[], uint8_t ci)</argsstring>
        <name>Cy_BLE_HAL_EccGenerateDHKey</name>
        <param>
          <type>const uint8_t</type>
          <declname>p_publicKey</declname>
          <array>[]</array>
        </param>
        <param>
          <type>const uint8_t</type>
          <declname>p_privateKey</declname>
          <array>[]</array>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>p_secret</declname>
          <array>[]</array>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>ci</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="678" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="663" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="55" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1aac1fd14519473173ced698b7e5b17c75" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_EccValidPublicKey</definition>
        <argsstring>(const uint8_t p_publicKey[])</argsstring>
        <name>Cy_BLE_HAL_EccValidPublicKey</name>
        <param>
          <type>const uint8_t</type>
          <declname>p_publicKey</declname>
          <array>[]</array>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="690" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="680" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="57" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a267a3b8f0ed67cd303e36f5d78e58e28" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingLocalPublicKeyHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingLocalPublicKeyHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="702" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="692" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="58" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1afb02a200e55659e314060b213753c951" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingRemoteKeyHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingRemoteKeyHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="714" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="704" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="59" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a80ee2059f348e5cdb3bf82b64be8c1e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingDhkeyHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingDhkeyHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="726" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="716" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="60" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1ae50086de8b04376a68a1a2ea93f176b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingDhkeyCheckHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingDhkeyCheckHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="738" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="728" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="61" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a80bcd3aef9f5d083812bb44428bd0003" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingKeypressNotificationHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingKeypressNotificationHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="750" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="740" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a1f238f7e31ef267260365d70b2dbc59f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingRandHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingRandHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="762" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="752" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="63" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a7f7df88b64524e6abf99cdf63cdc7eda" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingConfirmHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingConfirmHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="774" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="764" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="64" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a61d51e74c4e07a60c6e82232e2610fa9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingLrConfirmingHandler</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingLrConfirmingHandler</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="786" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="776" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="65" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1af71c62b3b0a5b9f4c2bb8bf2c203ac60" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingScTbxDhkeyGenerateComplete</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingScTbxDhkeyGenerateComplete</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="798" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="788" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="66" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a2406e534ee2a28cdb9e0daafa779b8b7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingScTbxGenerateLocalP256PublicKey</definition>
        <argsstring>(uint8_t param)</argsstring>
        <name>Cy_BLE_HAL_PairingScTbxGenerateLocalP256PublicKey</name>
        <param>
          <type>uint8_t</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="822" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="812" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="67" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a28b63f5ef68183c57f9b1f33cd4be8aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_SeSmpScUserPasskeyHandler</definition>
        <argsstring>(void *param1, void *param2)</argsstring>
        <name>Cy_BLE_HAL_SeSmpScUserPasskeyHandler</name>
        <param>
          <type>void *</type>
          <declname>param1</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>param2</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="860" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="848" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="68" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1a9e9c521b817360e329c9f2fe04b714f5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingScTbxLocalPubkeyGenerateComplete</definition>
        <argsstring>(void *param)</argsstring>
        <name>Cy_BLE_HAL_PairingScTbxLocalPubkeyGenerateComplete</name>
        <param>
          <type>void *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="810" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="800" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="69" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__ble__common_8h_1aa9b18a3075c0545b0253e7ca6116851d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_HAL_PairingScTbxGenerateDHkey</definition>
        <argsstring>(void *param1, void *param2, uint8_t param3)</argsstring>
        <name>Cy_BLE_HAL_PairingScTbxGenerateDHkey</name>
        <param>
          <type>void *</type>
          <declname>param1</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>param2</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>param3</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="836" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.c" bodystart="824" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" line="70" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains the source code for the API of the PSoC 6 BLE Middleware. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="16"><highlight class="preprocessor">#if<sp />!defined(CY_BLE_COMMON_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_COMMON_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXBLESS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="28"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="29"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__common__api__functions_1gac43daf6ecb84fde5390065532c7b7e69">Cy_BLE_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__config__t">cy_stc_ble_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="36"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__common__api__functions_1ga71930f6a2639719f896326a9bb73f543">Cy_BLE_Enable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="37"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__common__api__functions_1gadb3de6a7f54f20646dcea989aad7e0f2">Cy_BLE_Disable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__common__api__functions_1ga11dd55190fcf99efcc2dd0f625014f4b">Cy_BLE_EnableLowPowerMode</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="41"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_ServiceInit(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="45"><highlight class="comment">*<sp />Mapping<sp />Functions<sp />stack<sp />size<sp />optimization<sp /><sp />(internal<sp />usage<sp />only)</highlight></codeline>
<codeline lineno="46"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_EccHeapInit(uint8_t<sp />*heapMem,<sp />uint8_t<sp />numOfConn);</highlight></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_EccHeapDeInit(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_SmpScCmacComplete(uint8_t<sp />param);</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_BLE_HAL_EccPointMult(uint8_t<sp />param);</highlight></codeline>
<codeline lineno="52"><highlight class="normal">uint16_t<sp />Cy_BLE_HAL_EccGetFeatureHeapReq(uint8_t<sp />numOfConn);</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_EccGenerateSecurityKeypair(uint8_t<sp />p_publicKey[],<sp />uint8_t<sp />p_privateKey[],</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />randomData[]);</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_EccGenerateDHKey(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />p_publicKey[],<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />p_privateKey[],</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />p_secret[],<sp />uint8_t<sp />ci);</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_EccValidPublicKey(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />p_publicKey[]);</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingLocalPublicKeyHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingRemoteKeyHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingDhkeyHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingDhkeyCheckHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingKeypressNotificationHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingRandHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingConfirmHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingLrConfirmingHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingScTbxDhkeyGenerateComplete(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />param);</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingScTbxGenerateLocalP256PublicKey(uint8_t<sp />param);</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_SeSmpScUserPasskeyHandler(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param1,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param2);</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingScTbxLocalPubkeyGenerateComplete(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*param);</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_HAL_PairingScTbxGenerateDHkey(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp />*param1,</highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp />*param2,<sp />uint8_t<sp />param3);</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal">}</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXBLESS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_COMMON_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/common/cy_ble_common.h" />
  </compounddef>
</doxygen>